| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC1976A.ino File Reference

Go to the source code of this file.

## Functions
static int8_t | menu_1_read_write_registers ()
| Linear Technology DC1976A Demonstration Board LTC3676: Power Management Solution for Application Processors. More...
static int8_t | menu_2_regulator_settings ()
static int8_t | menu_3_control_settings ()
static int8_t | menu_4_sequencing (uint8_t *reg_phase)
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | print_warning_prompt ()
| Prints a warning if the demo board is not detected. More...
static int8_t | LTC3676_print_all_registers (uint8_t i2c_address)
static void | read_reg_map (uint8_t *reg_map_array)
| Reads the first 6 registers and stores them in an array. More...
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...
char | demo_board_option (char *eeprom_string)

## Variables
static uint8_t | demo_board_connected
| Set to 1 if the board is connected. More...
static uint8_t | i2c_address
| I2C address set for either -A or -B demo board. More...
static char | board_option
| Demo board option of the attached demo board. More...
char | demo_name [] = "DC1976"
| Demo Board Name stored in QuikEval EEPROM. More...
static uint8_t | reg_phase [7] = {1,1,1,1,1,1,1}
| Power-up sequence phases for every regulator output. More...
static float | delay_ms = 0
| Delay between power-up phases. More...

## Function Documentation

## ◆ demo_board_option()

char demo_board_option | ( | char * | eeprom_string | ) |

Definition at line 200 of file DC1976A.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 110 of file DC1976A.ino.

## ◆ LTC3676_print_all_registers()

static int8_t LTC3676_print_all_registers | ( | uint8_t | i2c_address | ) |
| static

Definition at line 182 of file DC1976A.ino.

## ◆ menu_1_read_write_registers()

static int8_t menu_1_read_write_registers | ( |  | ) |
| static

Linear Technology DC1976A Demonstration Board LTC3676: Power Management Solution for Application Processors.

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.
       External power supply is required. Any assembly option may be used:
       DC1976A-A, DC1976A-B.

http://www.linear.com/product/LTC3676

http://www.linear.com/product/LTC3676#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition at line 212 of file DC1976A.ino.

## ◆ menu_2_regulator_settings()

static int8_t menu_2_regulator_settings | ( |  | ) |
| static

Definition at line 363 of file DC1976A.ino.

## ◆ menu_3_control_settings()

static int8_t menu_3_control_settings | ( |  | ) |
| static

Definition at line 704 of file DC1976A.ino.

## ◆ menu_4_sequencing()

static int8_t menu_4_sequencing | ( | uint8_t * | reg_phase | ) |
| static

Definition at line 772 of file DC1976A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 167 of file DC1976A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 152 of file DC1976A.ino.

## ◆ print_warning_prompt()

static void print_warning_prompt | ( |  | ) |
| static

Prints a warning if the demo board is not detected.

Definition at line 177 of file DC1976A.ino.

## ◆ read_reg_map()

static void read_reg_map | ( | uint8_t * | reg_map_array | ) |
| static

Reads the first 6 registers and stores them in an array.

Definition at line 1015 of file DC1976A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 83 of file DC1976A.ino.

## Variable Documentation

## ◆ board_option

char board_option
| static

Demo board option of the attached demo board.

Definition at line 77 of file DC1976A.ino.

## ◆ delay_ms

float delay_ms = 0
| static

Delay between power-up phases.

Definition at line 80 of file DC1976A.ino.

## ◆ demo_board_connected

uint8_t demo_board_connected
| static

Set to 1 if the board is connected.

Definition at line 75 of file DC1976A.ino.

## ◆ demo_name

char demo_name[] = "DC1976"

Demo Board Name stored in QuikEval EEPROM.

Definition at line 78 of file DC1976A.ino.

## ◆ i2c_address

uint8_t i2c_address
| static

I2C address set for either -A or -B demo board.

Definition at line 76 of file DC1976A.ino.

## ◆ reg_phase

uint8_t reg_phase[7] = {1,1,1,1,1,1,1}
| static

Power-up sequence phases for every regulator output.

Definition at line 79 of file DC1976A.ino.